#ifndef IAVBDEVICE_H_
#define IAVBDEVICE_H_

class IAvbDeviceBase
{
public:
  struct info_t
  {
    const char* name;
    const char* vendor;
    const char* pn;
    const char* sn;

    int sw_major;
    int sw_minor;

  };

protected:
  virtual info_t getInfo()=0;
};

class IAvbDevice: public IAvbDeviceBase
{
protected:
  virtual bool initialize()=0;


};

#endif /*IAVBDEVICE_H_*/
